Loading...
Searching...
No Matches
sip_security_agree_s Struct Reference
Sip_security_client

Structure for Security-Client, Security-Server, and Security-Verify headers. More...

`#include <sip.h>`

Collaboration diagram for sip_security_agree_s:
[legend]

## Data Fields

sip_common_t | sa_common [1]
| Common fragment info.
struct sip_security_agree_s * | sa_next
| Link to next mechanism.
char const * | sa_mec
| Security mechanism.
msg_param_t const * | sa_params
| List of mechanism parameters.
char const * | sa_q
| Value of q (preference) parameter.
char const * | sa_d_alg
| Value of d-alg parameter.
char const * | sa_d_qop
| Value of d-qop parameter.
char const * | sa_d_ver
| Value of d-ver parameter.

## Detailed Description

Structure for Security-Client, Security-Server, and Security-Verify headers.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.